Name:             zathura-pdf-poppler
Version:          0.3.1
Release:          2%{?dist}
Summary:          PDF support for zathura via poppler
License:          zlib
URL:              https://pwmt.org/projects/zathura/plugins/%{name}
Source0:          https://pwmt.org/projects/zathura-pdf-poppler/download/%{name}-%{version}.tar.xz
BuildRequires:    binutils
BuildRequires:    desktop-file-utils
BuildRequires:    gcc
BuildRequires:    girara-devel
BuildRequires:    glib2-devel
BuildRequires:    libappstream-glib
BuildRequires:    meson >= 0.43
BuildRequires:    poppler-glib-devel >= 0.18
BuildRequires:    zathura-devel >= 0.4.4
Requires:         zathura >= 0.4.4
Conflicts:        zathura-pdf-mupdf < 0.3.3


%description
The zathura-pdf-poppler plugin adds PDF support to zathura by using
the poppler rendering engine.


%prep
%setup -q


%build
%meson
%meson_build


%install
%meson_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.metainfo.xml


# Clean the old alternatives link
%pre
[ -L %{_libdir}/zathura/pdf.so ] || rm -f %{_libdir}/zathura/pdf.so


%files
%license LICENSE
%doc AUTHORS
%{_libdir}/zathura/libpdf-poppler.so
%{_datadir}/applications/org.pwmt.zathura-pdf-poppler.desktop
%{_datadir}/metainfo/org.pwmt.zathura-pdf-poppler.metainfo.xml


%changelog
